org.apache.ignite.marshaller

## Class MarshallerUtils

- java.lang.Object
- - org.apache.ignite.marshaller.MarshallerUtils

    public class MarshallerUtils
    extends Object

Utility marshaller methods.

### Method Summary

Methods
`static JdkMarshaller` `jdkMarshaller(String nodeName)` Create JDK marshaller with provided node name.
`static IgniteProductVersion` `jobSenderVersion()` Returns thread local job sender node version.
`static void` `jobSenderVersion(IgniteProductVersion ver)` Sets thread local job sender node version.
`static void` `setNodeName(Marshaller marsh, String nodeName)` Set node name to marshaller context if possible.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### setNodeName

    public static void setNodeName(Marshaller marsh,
                   @Nullable
                   String nodeName)

Set node name to marshaller context if possible.

Parameters:
  `marsh` - Marshaller instance.
  `nodeName` - Node name.

#### jdkMarshaller

    public static JdkMarshaller jdkMarshaller(@Nullable
                              String nodeName)

Create JDK marshaller with provided node name.

Parameters:
  `nodeName` - Node name.
Returns:
  JDK marshaller.

#### jobSenderVersion

    public static void jobSenderVersion(IgniteProductVersion ver)

Sets thread local job sender node version.

Parameters:
  `ver` - Thread local job sender node version.

#### jobSenderVersion

    public static IgniteProductVersion jobSenderVersion()

Returns thread local job sender node version.

Returns:
  Thread local job sender node version.

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.1.0
Release Date | : July 20 2017